#include <fstream>
#include <string>

using namespace std;

ifstream input("Bai4_14.inp");
ofstream output("Bai4_14.out");
int n;
string res;

void decToBin(int n)
{
	if (n != 0)
	{
		decToBin(n / 2);
	}
	res += n % 2 + '0';
}

int main()
{
	input >> n;
	decToBin(n);
	output << res;
	input.close();
	output.close();
	return 0;
}